Check Point Advisories

Microsoft Scripting Engine Memory Corruption (MS17-007: CVE-2017-0010)

Check Point Reference: CPAI-2017-0083
Date Published: 14 Mar 2017
Severity: High
Last Updated: 6 Apr 2017
Source: Microsoft Security Bulletin MS17-007
Industry Reference:CVE-2017-0010
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Microsoft Edge on Microsoft Windows 10
Microsoft Edge on Microsoft Windows Server 2016
Vulnerability Description A remote code execution vulnerability exists in Microsoft Edge. The vulnerability is due to an out of bounds read when using the JavaScript "use asm" directive. A remote attacker can exploit this vulnerability and execute arbitrary code in the context of the current user.
Update/Patch AvaliableApply patches from: MS17-007

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Microsoft Scripting Engine Memory Corruption (MS17-007: CVE-2017-0010) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Web Client Enforcement Violation.
Attack Information:  Microsoft Scripting Engine Memory Corruption (MS17-007: CVE-2017-0010)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO